% BSFFT - a Matlab toolbox for the butterfly sparse Fourier transform
% 
% Copyright (C) 2012 Ines Melzer
% 
% This program is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.
% 
% $LastChangedDate: 2012-08-29 11:09:24 +0200 (Mi, 29. Aug 2012) $
% $Author: melzer $
% $Revision: 3136 $

function [f_AB]=comp_first_coeff1D(invG,beta,N,xA,cA,cB,wB,u_AB)

%column vectors of the diagonal matrices (D_1^{A B)^{-1},(D_2^{A B})^{-1} 
invd1_AB=(exp(-2*pi*1i*xA.*cB/N)).';
invd2_AB=(exp(-2*pi*1i*cA*wB/N*beta)).';

%Solving linear system of equals Mf^AB=u^AB
f_AB=invd2_AB.*(invG*(invd1_AB.*u_AB));

end