% BSFFT - a Matlab toolbox for the butterfly sparse Fourier transform
% 
% Copyright (C) 2012 Ines Melzer
% 
% This program is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.
% 
% $LastChangedDate: 2012-08-29 11:09:24 +0200 (Mi, 29. Aug 2012) $
% $Author: melzer $
% $Revision: 3136 $

function u=comp_first_func_val1D(MOmega,p,N,xA,B_index,f)
%Output: exact function evaluated in the chebyshev nodes xA

u=zeros(p,1);
for t=1:p
	for j=1:length(B_index)
		xA_t=xA(t);
		xi_j=MOmega(B_index(j));
		u(t)=u(t)+exp(2*pi*1i*xA_t*xi_j/N)*f(B_index(j));
	end
end

end%function