% BSFFT - a Matlab toolbox for the butterfly sparse Fourier transform
% 
% Copyright (C) 2012 Ines Melzer
% 
% This program is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.
% 
% $LastChangedDate: 2012-08-29 11:09:24 +0200 (Mi, 29. Aug 2012) $
% $Author: melzer $
% $Revision: 3136 $

function u=comp_first_func_val2D(MOmega,p,N,xA1,xA2,B_index,f)
%Output: exact function evaluated in the chebyshev nodes xA=[xA1,xA2]

U=zeros(p,p);
for s=1:p
    for t=1:p
        for j=1:length(B_index)
            xA_st=[xA1(s),xA2(t)];
            xi_j=MOmega(B_index(j),:);
            U(s,t)=U(s,t)+exp(2*pi*1i*xA_st*(xi_j')/N)*f(B_index(j));
        end
    end
end

u=U(:);

end%function