% BSFFT - a Matlab toolbox for the butterfly sparse Fourier transform
% 
% Copyright (C) 2012 Ines Melzer
% 
% This program is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.
% 
% $LastChangedDate: 2012-08-29 11:09:24 +0200 (Mi, 29. Aug 2012) $
% $Author: melzer $
% $Revision: 3136 $

function u=comp_first_func_val4D(MOmega,p,N,xA1,xA2,xA3,xA4,B_index,f)
tensorU=zeros(p,p,p,p);
for s1=1:p
    for s2=1:p
		for s3=1:p
			for s4=1:p
				for j=1:length(B_index)
					xA=[xA1(s1),xA2(s2),xA3(s3),xA4(s4)];
					xi_j=MOmega(B_index(j),:);
					tensorU(s1,s2,s3,s4)=tensorU(s1,s2,s3,s4)+exp(2*pi*1i*xA*(xi_j')/N)*f(B_index(j));
				end
			end
		end
    end
end
u=tensorU(:);
end%function