% BSFFT - a Matlab toolbox for the butterfly sparse Fourier transform
% 
% Copyright (C) 2012 Ines Melzer
% 
% This program is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.
% 
% $LastChangedDate: 2012-08-29 11:09:24 +0200 (Mi, 29. Aug 2012) $
% $Author: melzer $
% $Revision: 3136 $

function tensor=nmode4D(F,U1,U2,U3,U4,p)
		tmpF=reshape(F,p,p^3);
		tmpF=U1*tmpF;
		
		tensor=reshape(tmpF,p,p,p,p);
		
		tmpF=reshape(permute(tensor,[2 1 3 4]),p,p^3);
		tmpF=U2*tmpF;

		tensor=reshape(tmpF,p,p,p,p);
		tensor=permute(tensor,[3 2 1 4]);
		
		tmpF=reshape(tensor,p,p^3);
		tmpF=U3*tmpF;
		
		tensor=reshape(tmpF,p,p,p,p);
		
		tmpF=reshape(permute(tensor,[4 2 3 1]),p,p^3);
		tmpF=U4*tmpF;

		tensor=reshape(tmpF,p,p,p,p);
		tensor=permute(tensor,[2 3 4 1]);
end