% BSFFT - a Matlab toolbox for the butterfly sparse Fourier transform
% 
% Copyright (C) 2012 Ines Melzer
% 
% This program is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.
% 
% $LastChangedDate: 2012-08-29 11:09:24 +0200 (Mi, 29. Aug 2012) $
% $Author: melzer $
% $Revision: 3136 $

function Index=decompose_index2D(M, index_input, l_input, m1_input, m2_input, N_input)
anzahl=length(index_input);

index1=[];
index2=[];
index3=[];
index4=[];

for j=1:anzahl
  tmp=M(index_input(j), :);  
  
  if ( tmp(1)<=N_input/2^l_input*(m1_input+1/2) ) 
		
    if (tmp(2)<=N_input/2^l_input*(m2_input+1/2) )  
				index1=[index1 index_input(j)];
    else index2=[index2 index_input(j)];
    end %if
		
	else
		
    if ( tmp(2)<=N_input/2^l_input*(m2_input+1/2) ) 
				index3=[index3 index_input(j)];
    else index4=[index4 index_input(j)];           
    end %if                                                                                
  
	end%if                                      
 
end %for 
%index sets of the 4 sons
Index={index1,index2,index3,index4};
end %function zerlegeIndex