#!/bin/bash

# Find all *.m files in the current directory and insert a header text,
# if not already done.

headerfile='copyright_header.txt'

find ./ -name "*.m" | while read filename; do
	firstline=`head -n 10 $filename`
	firstline_header=`head -n 10 $headerfile`
	if [ "$firstline" != "$firstline_header" ]; then
		tmpname="/tmp/add_copyright_headers_$RANDOM"
		touch $tmpname
		cat copyright_header.txt>$tmpname
		cat $filename>>$tmpname
		mv $tmpname $filename
		echo "Added copyright header to $filename."
	fi
done

