% BSFFT - a Matlab toolbox for the butterfly sparse Fourier transform
% 
% Copyright (C) 2012 Ines Melzer
% 
% This program is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.
% 
% $LastChangedDate: 2012-08-29 13:13:15 +0200 (Mi, 29. Aug 2012) $
% $Author: melzer $
% $Revision: 3139 $

function ls=lagpol_z(p,z,z_node,s)
%Input:	
	% vector z: evaluation points
	% vector z_nodes: interpolation nodes
    % p, number of interpolation nodes
    % parameter s for the s-th Lagrange polynome
%Output: Vektor Ls =[L_s(z_1),...,L_s(z_M1)]
	ls=1;

	for j=[1:s-1,s+1:p]
		ls=ls.*( (z-z_node(j))/(z_node(s)-z_node(j)) ) ;
	end
end%function	