% BSFFT - a Matlab toolbox for the butterfly sparse Fourier transform
% 
% Copyright (C) 2012 Ines Melzer
% 
% This program is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.
% 
% $LastChangedDate: 2012-08-29 13:13:15 +0200 (Mi, 29. Aug 2012) $
% $Author: melzer $
% $Revision: 3139 $

%Before you call this script, you have to call the script compute1D_relative_error_dependence_L.
%Don't forget to set the file correct!

clear all:
addpath('data')
addpath('utilities')

%file='relative_error1D_dependence_L_r900';
file='relative_error1D_dependence_L';

load(file);

savefile1=strcat(file,'_1'); %figure 4.4. (b)
savefile2=strcat(file,'_2'); %figure 4.4. (a)

figure(1) %figure 4.4. (b)

h(1)=semilogy(vec_L,err_const(1,:),'b+');
hold on;
h(2)=semilogy(vec_L,err_const(2,:),'o');
h(3)=semilogy(vec_L,err_const(3,:),'*');
h(4)=semilogy(vec_L,err_const(4,:),'x');
h(5)=semilogy(vec_L,err_const(5,:),'>');
h(6)=semilogy(vec_L,1/2*10^(-6).*(vec_L),'r--');
set(h(2),'Color',[0,1/2,0]);%green
set(h(3),'Color',[1/2,0,1/2]);%magenta
set(h(4),'Color',[1,1/2,0]);%orange
set(h(5),'Color',[0,1,1]);%cyan

set(h,'linewidth',2,'MarkerSize',8)
axis([vec_L(1),vec_L(end),min(err_const(5,:)),err_const(1,vec_L(end)-vec_L(1)+1)])

fs=14;
set(gca,'Fontsize',fs);
xlabel('L')

vec_y=fliplr(2:1:8);
set(gca,'YTick',10.^(-vec_y))
ylabel('\epsilon_2')
legend('p=5','p=6','p=7','p=8','p=9','1/2 \cdot 10^{-6} L','Location','SouthEast');
hold off
saveas(gcf,savefile1,'png')


figure(2) %figure 4.4. (a)
g(1)=plot(vec_L,err_const(3,:),'*');
hold on;
g(2)=plot(vec_L,1/2*10^(-6).*(vec_L),'r--');
set(g(1),'Color',[1/2,0,1/2]);%magenta

set(g,'linewidth',2,'MarkerSize',8)
set(get(gca,'title'),'Fontsize',fs);
set(get(gca,'XLabel'),'Fontsize',fs);
set(get(gca,'YLabel'),'Fontsize',fs);
axis([vec_L(1),vec_L(end)+0.01,min(err_const(3,:)),max(err_const(3,:))+eps])

fs=14;
set(gca,'Fontsize',fs);
set(get(gca,'title'),'Fontsize',fs);
set(get(gca,'XLabel'),'Fontsize',fs);
set(get(gca,'YLabel'),'Fontsize',fs);
xlabel('L')
ylabel('\epsilon_2');
legend('p=7','1/2 \cdot 10^{-6} L','Location','NorthWest');
hold off
saveas(gcf,savefile2,'png')