% BSFFT - a Matlab toolbox for the butterfly sparse Fourier transform
% 
% Copyright (C) 2012 Ines Melzer
% 
% This program is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.
% 
% $LastChangedDate: 2012-08-29 13:13:15 +0200 (Mi, 29. Aug 2012) $
% $Author: melzer $
% $Revision: 3139 $

function [C]=least_squares_6(x,y,k)

% least squares fit of type y=C*x^k 
%
% INPUT
%	x	x-Koordinaten (als Spaltenvektor)
%	y	y-Koordinaten (als Spaltenvektor)
%   k   Potenz
% OUTPUT
%	C	gesuchte Konstante


A=x.^k;
b=y;
C=(A'*A)\(A'*b);
end